diff -dur ugene-1.14.1.bak/src/corelibs/U2Gui/src/options_panel/GroupOptionsWidget.cpp ugene-1.14.1/src/corelibs/U2Gui/src/options_panel/GroupOptionsWidget.cpp
--- ugene-1.14.1.bak/src/corelibs/U2Gui/src/options_panel/GroupOptionsWidget.cpp	2014-09-08 12:41:48.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2Gui/src/options_panel/GroupOptionsWidget.cpp	2014-10-03 17:13:07.223580764 +0200
@@ -31,12 +31,12 @@
       widget(_widget),
       title(_title)
 {
-    setStyleSheet("font-size: 11px;");
+    setStyleSheet("font-size: 8.25pt;");
 
     titleWidget = new QLabel(title);
     titleWidget->setObjectName("titleWidget");
     titleWidget->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Fixed);
-    titleWidget->setMinimumWidth(WIDGET_WIDTH);
+
 
     titleWidget->setStyleSheet(
         "background: palette(midlight);"
@@ -58,7 +58,7 @@
     QPushButton *helpButton = new QPushButton("Help", this);
     helpButton->setMaximumWidth(60);
     new HelpButton(this, helpButton, documentationPage);
-    QSpacerItem *spacer = new QSpacerItem(WIDGET_WIDTH, 0, QSizePolicy::Maximum, QSizePolicy::Expanding);
+    QSpacerItem *spacer = new QSpacerItem(widget->sizeHint().width(), 0, QSizePolicy::Maximum, QSizePolicy::Expanding);
     mainLayout->addSpacerItem(spacer);
 
     QHBoxLayout *helpLayout = new QHBoxLayout();
@@ -69,6 +69,8 @@
     mainLayout->setAlignment(helpLayout, Qt::AlignBottom);
 
     setLayout(mainLayout);
+    titleWidget->setMinimumWidth(widget->sizeHint().width());
+    setMinimumWidth(widget->sizeHint().width());
 
     setFocusProxy(widget);
 }
diff -dur ugene-1.14.1.bak/src/corelibs/U2Gui/src/options_panel/OptionsPanel.h ugene-1.14.1/src/corelibs/U2Gui/src/options_panel/OptionsPanel.h
--- ugene-1.14.1.bak/src/corelibs/U2Gui/src/options_panel/OptionsPanel.h	2014-09-08 12:41:48.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2Gui/src/options_panel/OptionsPanel.h	2014-10-03 17:13:07.223580764 +0200
@@ -91,6 +91,9 @@
 
     /** IDs of the opened group */
     QString activeGroupId;
+
+    /** Maximum width of the options widgets */
+    int maximumWidth;
 };
 
 } // namespace
diff -dur ugene-1.14.1.bak/src/corelibs/U2Gui/src/options_panel/OptionsPanelWidget.cpp ugene-1.14.1/src/corelibs/U2Gui/src/options_panel/OptionsPanelWidget.cpp
--- ugene-1.14.1.bak/src/corelibs/U2Gui/src/options_panel/OptionsPanelWidget.cpp	2014-09-08 12:41:48.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2Gui/src/options_panel/OptionsPanelWidget.cpp	2014-10-03 17:36:49.464597583 +0200
@@ -41,7 +41,11 @@
 QSize OptionsScrollArea::sizeHint() const
 {
     int BORDERS_APPROX_SIZE = 15;
-    return QSize(GroupOptionsWidget::getWidgetWidth() + BORDERS_APPROX_SIZE, 0);
+    QWidget *w = widget();
+    if (w)
+        return QSize(w->minimumSizeHint().width() + BORDERS_APPROX_SIZE, 0);
+    else
+        return QSize(GroupOptionsWidget::getWidgetWidth() + BORDERS_APPROX_SIZE, 0);
 }
 
 
@@ -165,6 +169,9 @@
     optionsWidgets.insert(0, groupWidget);
 
     groupWidget->setFocus();
+    groupWidget->show();
+    optionsScrollArea->widget()->updateGeometry();
+    optionsScrollArea->updateGeometry();
 
     return groupWidget;
 }
diff -dur ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/find_pattern/FindPatternWidget.cpp ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/find_pattern/FindPatternWidget.cpp
--- ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/find_pattern/FindPatternWidget.cpp	2014-09-08 12:41:52.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/find_pattern/FindPatternWidget.cpp	2014-10-03 17:13:07.224580764 +0200
@@ -413,6 +413,7 @@
 void FindPatternWidget::initLayout()
 {
     setMinimumSize(QSize(170, 150));
+    textPattern->setMinimumHeight(textPattern->fontMetrics().lineSpacing() * 10);
 
     initAlgorithmLayout();
     initStrandSelection();
diff -dur ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/find_pattern/ui/FindPatternForm.ui ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/find_pattern/ui/FindPatternForm.ui
--- ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/find_pattern/ui/FindPatternForm.ui	2014-09-08 12:41:52.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/find_pattern/ui/FindPatternForm.ui	2014-10-03 17:13:07.225580764 +0200
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>275</width>
+    <width>282</width>
     <height>800</height>
    </rect>
   </property>
@@ -68,18 +68,15 @@
        <height>90</height>
       </size>
      </property>
-     <property name="maximumSize">
-      <size>
-       <width>16777215</width>
-       <height>110</height>
-      </size>
-     </property>
      <property name="focusPolicy">
       <enum>Qt::StrongFocus</enum>
      </property>
      <property name="tabChangesFocus">
       <bool>true</bool>
      </property>
+     <property name="acceptRichText">
+      <bool>false</bool>
+     </property>
     </widget>
    </item>
    <item>
@@ -129,16 +126,7 @@
       </size>
      </property>
      <layout class="QGridLayout" name="gridLayout_2">
-      <property name="leftMargin">
-       <number>0</number>
-      </property>
-      <property name="topMargin">
-       <number>0</number>
-      </property>
-      <property name="rightMargin">
-       <number>0</number>
-      </property>
-      <property name="bottomMargin">
+      <property name="margin">
        <number>0</number>
       </property>
       <property name="spacing">
@@ -185,16 +173,7 @@
       </size>
      </property>
      <layout class="QGridLayout" name="gridLayout_3">
-      <property name="leftMargin">
-       <number>0</number>
-      </property>
-      <property name="topMargin">
-       <number>0</number>
-      </property>
-      <property name="rightMargin">
-       <number>0</number>
-      </property>
-      <property name="bottomMargin">
+      <property name="margin">
        <number>0</number>
       </property>
       <property name="spacing">
@@ -298,16 +277,7 @@
       </size>
      </property>
      <layout class="QGridLayout" name="gridLayout_4">
-      <property name="leftMargin">
-       <number>0</number>
-      </property>
-      <property name="topMargin">
-       <number>0</number>
-      </property>
-      <property name="rightMargin">
-       <number>0</number>
-      </property>
-      <property name="bottomMargin">
+      <property name="margin">
        <number>0</number>
       </property>
       <property name="spacing">
diff -dur ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.cpp ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.cpp
--- ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.cpp	2014-09-08 12:41:52.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.cpp	2014-10-03 17:13:07.226580764 +0200
@@ -34,11 +34,10 @@
 #include <U2View/ADVSequenceObjectContext.h>
 #include <U2View/AnnotatedDNAView.h>
 
-
 namespace U2 {
 
 
-const int SequenceInfo::COMMON_STATISTICS_VALUE_MAX_WIDTH = 90;
+const int SequenceInfo::COMMON_STATISTICS_VALUE_MAX_WIDTH = 20;
 const QString SequenceInfo::CAPTION_SEQ_REGION_LENGTH = "Length: ";
 
 //nucl
@@ -109,6 +108,9 @@
     dinuclLabel->setTextInteractionFlags(Qt::TextSelectableByMouse);
     statisticLabel->setTextInteractionFlags(Qt::TextSelectableByMouse);
 
+    valueMaxWidth = statisticLabel->fontMetrics().width('0') * COMMON_STATISTICS_VALUE_MAX_WIDTH;
+    setMinimumWidth(mainLayout->minimumSize().width() + valueMaxWidth);
+
     updateLayout();
 }
 
@@ -330,7 +332,7 @@
             charOccurTaskRunner.run(new CharOccurTask(alphabet, seqRef, currentRegion));
         }
     }
-    
+
     if (subgroupId.isEmpty() || subgroupId == DINUCL_OCCUR_GROUP_ID)
     {
         if ((!dinuclWidget->isHidden()) && (dinuclWidget->isSubgroupOpened()))
@@ -429,7 +431,7 @@
 
     QFontMetrics metrics = statisticLabel->fontMetrics();
     result = "<tr><td><b>" + tr("%1").arg(caption) + "</b></td><td>"
-            + metrics.elidedText(value, Qt::ElideRight, COMMON_STATISTICS_VALUE_MAX_WIDTH)
+            + metrics.elidedText(value, Qt::ElideRight, valueMaxWidth)
             + "</td></tr>";
     return result;
 }
diff -dur ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.h ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.h
--- ugene-1.14.1.bak/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.h	2014-09-08 12:41:52.000000000 +0200
+++ ugene-1.14.1/src/corelibs/U2View/src/ov_sequence/sequence_info/SequenceInfo.h	2014-10-03 17:13:07.227580764 +0200
@@ -123,6 +123,8 @@
 
     U2Region currentRegion;
 
+    int valueMaxWidth;
+
     static const int COMMON_STATISTICS_VALUE_MAX_WIDTH;
     static const QString CAPTION_SEQ_REGION_LENGTH;
 
